package com.ruoyi.app.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 入库码盘对象 app_pending_storage
 * 
 * @author ruoyi
 * @date 2025-02-22
 */
public class AppPendingStorage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录号，主键 */
    private String recordId;

    /** 入库单号 */
    @Excel(name = "入库单号")
    private String listId;

    /** 订单类型 */
    @Excel(name = "订单类型")
    private Integer orderType;

    /** 客户ID */
    @Excel(name = "客户ID")
    private String customerId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 物料号 */
    @Excel(name = "物料号")
    private String goodsId;

    /** 物料数量 */
    @Excel(name = "物料数量")
    private BigDecimal goodsNum;

    @Excel(name = "载具号")
    private String vehicleNo;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String goodsCode;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String goodsDesc;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /**  */
    @Excel(name = "")
    private String spare1;

    /**  */
    @Excel(name = "")
    private String spare2;

    /** 状态：1-码盘成功；2-正在入库；3-入库完成；4-异常 */
    @Excel(name = "状态：1-码盘成功；2-正在入库；3-入库完成；4-异常")
    private Integer status;

    /** 码盘类型：1-其他物料入库；2-pms入库 */
    @Excel(name = "码盘类型：1-其他物料入库；2-pms入库")
    private Integer storageType;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createPerson;

    public void setRecordId(String recordId) 
    {
        this.recordId = recordId;
    }

    public String getRecordId() 
    {
        return recordId;
    }
    public void setListId(String listId) 
    {
        this.listId = listId;
    }

    public String getListId() 
    {
        return listId;
    }
    public void setOrderType(Integer orderType)
    {
        this.orderType = orderType;
    }

    public Integer getOrderType()
    {
        return orderType;
    }
    public void setCustomerId(String customerId) 
    {
        this.customerId = customerId;
    }

    public String getCustomerId() 
    {
        return customerId;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setGoodsId(String goodsId) 
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId() 
    {
        return goodsId;
    }
    public void setGoodsNum(BigDecimal goodsNum) 
    {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getGoodsNum() 
    {
        return goodsNum;
    }
    public void setGoodsCode(String goodsCode) 
    {
        this.goodsCode = goodsCode;
    }

    public String getGoodsCode() 
    {
        return goodsCode;
    }
    public void setGoodsDesc(String goodsDesc) 
    {
        this.goodsDesc = goodsDesc;
    }

    public String getGoodsDesc() 
    {
        return goodsDesc;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setSpare1(String spare1) 
    {
        this.spare1 = spare1;
    }

    public String getSpare1() 
    {
        return spare1;
    }
    public void setSpare2(String spare2) 
    {
        this.spare2 = spare2;
    }

    public String getSpare2() 
    {
        return spare2;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setStorageType(Integer storageType)
    {
        this.storageType = storageType;
    }

    public Integer getStorageType()
    {
        return storageType;
    }
    public void setCreatePerson(String createPerson) 
    {
        this.createPerson = createPerson;
    }

    public String getCreatePerson() 
    {
        return createPerson;
    }

    public String getVehicleNo() {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("listId", getListId())
            .append("orderType", getOrderType())
            .append("customerId", getCustomerId())
            .append("orderId", getOrderId())
            .append("goodsId", getGoodsId())
            .append("goodsNum", getGoodsNum())
            .append("goodsCode", getGoodsCode())
            .append("goodsDesc", getGoodsDesc())
            .append("unit", getUnit())
            .append("spare1", getSpare1())
            .append("spare2", getSpare2())
            .append("status", getStatus())
            .append("storageType", getStorageType())
            .append("createTime", getCreateTime())
            .append("createPerson", getCreatePerson())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    public AppPendingStorage(String recordId, String listId, Integer orderType, String customerId, String orderId, String vehicleNo, String goodsId, BigDecimal goodsNum, String goodsCode, String goodsDesc, String unit, String spare1, String spare2, Integer status, Integer storageType, String createPerson, String remark) {
        this.goodsDesc = goodsDesc;
        this.recordId = recordId;
        this.listId = listId;
        this.orderType = orderType;
        this.customerId = customerId;
        this.orderId = orderId;
        this.vehicleNo = vehicleNo;
        this.goodsId = goodsId;
        this.goodsNum = goodsNum;
        this.goodsCode = goodsCode;
        this.unit = unit;
        this.spare1 = spare1;
        this.spare2 = spare2;
        this.status = status;
        this.storageType = storageType;
        this.createPerson = createPerson;
    }

    public AppPendingStorage() {
    }
}
